#!/bin/bash

DBUS_PATH=$1

function main() {
    local confirm_str="This tool is designed to fix the issue of the desktop screen turning black after a period of inactivity. Do you wish to proceed?"

    local tr_confirm_str
    tr_confirm_str=$(Translate "${confirm_str}")

    local select
    select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
    if [ "${select}" == "no" ]; then
        exit 255
    fi

    echo "Configuration before fixing:"
    echo "sleep-display-ac: $(gsettings get org.ukui.power-manager sleep-display-ac)"
    echo "sleep-display-battery: $(gsettings get org.ukui.power-manager sleep-display-battery)"
    echo "sleep-computer-ac: $(gsettings get org.ukui.power-manager sleep-computer-ac)"
    echo "sleep-computer-battery: $(gsettings get org.ukui.power-manager sleep-computer-battery)"

    echo "Fixing the problem..."
    gsettings set org.ukui.power-manager sleep-display-ac -1
    gsettings set org.ukui.power-manager sleep-display-battery -1
    gsettings set org.ukui.power-manager sleep-computer-ac -1
    gsettings set org.ukui.power-manager sleep-computer-battery -1
    echo "The problem has been fixed."

    echo "Configuration after fixing:"
    echo "sleep-display-ac: $(gsettings get org.ukui.power-manager sleep-display-ac)"
    echo "sleep-display-battery: $(gsettings get org.ukui.power-manager sleep-display-battery)"
    echo "sleep-computer-ac: $(gsettings get org.ukui.power-manager sleep-computer-ac)"
    echo "sleep-computer-battery: $(gsettings get org.ukui.power-manager sleep-computer-battery)"

    local msg="The issue has been successfully resolved"
    local tr_msg
    tr_msg=$(Translate "${msg}")
    ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
    exit 0
}

main
