#!/bin/bash

DBUS_PATH=$1

function main() {
    local confirm_str="This tool is intended for clearing the system memory cache. Would you like to proceed?"
    local tr_confirm_str
    tr_confirm_str=$(Translate "${confirm_str}")

    local select
    select=$(ShowConfirmBox "${DBUS_PATH}" "${tr_confirm_str}" "question")
    if [ "${select}" == "no" ]; then
        exit 255
    fi

    echo "The memory usage before clearing the cache:"
    free -h

    echo "Clearing the cache..."
    SudoWrapper -s "sync"
    SudoWrapper -s "echo 3 > /proc/sys/vm/drop_caches"
    echo "The cache has been cleared."

    echo "The memory usage after clearing the cache:"
    free -h

    local msg="The cache has been successfully cleared"
    local tr_msg
    tr_msg=$(Translate "${msg}")
    ShowMessageBox "${DBUS_PATH}" "${tr_msg}" "info"
}

main
